#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main()
{
    string broj1,broj2,novi_broj;
    cin >> broj1;
    cin >> broj2;
    int duzina1,duzina2;
    duzina1 = broj1.length();
    duzina2 = broj2.length();
    int br1 = 0;
    int br2 = 0;
    int duz = duzina2;
    if (duzina1 > duzina2){
        for (int i=0;i<duzina1-duzina2;i++){
            novi_broj.push_back(broj1[i]);
            br1++;
        }
    }
    if (duzina2 > duzina1){
        for (int i=0;i<duzina2-duzina1;i++){
            novi_broj.push_back(broj2[i]);
            br2++;
        }
        duz = duzina1;
    }
    
    for (int i = 0; i < duz;i++){
        if(broj1[i+br1] > broj2[i+br2]){
            novi_broj.push_back(broj1[i+br1]);
        }
        if(broj1[i+br1] < broj2[i+br2]){
            novi_broj.push_back(broj2[i+br2]);
        }
        if(broj1[i+br1] == broj2[i+br2]){
            novi_broj.push_back(broj1[i+br1]);
            novi_broj.push_back(broj1[i+br1]);
        }
    }
    cout << novi_broj;
    return 0;
}